<?php
/**
 * BrandsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * BrandsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class BrandsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createBrand
     *
     * Запрос на создание нового бренда.
     *
     */
    public function testCreateBrand()
    {
    }

    /**
     * Test case for deleteBrand
     *
     * Запрос на удаление бренда по ID.
     *
     */
    public function testDeleteBrand()
    {
    }

    /**
     * Test case for deleteBrandImage
     *
     * Удаление текущей картинки бренда.
     *
     */
    public function testDeleteBrandImage()
    {
    }

    /**
     * Test case for getBrand
     *
     * Запрос бренда по ID.
     *
     */
    public function testGetBrand()
    {
    }

    /**
     * Test case for massDeleteBrands
     *
     * Массовое удаление брендов.
     *
     */
    public function testMassDeleteBrands()
    {
    }

    /**
     * Test case for patchBrand
     *
     * Обновляет отдельные поля бренда.
     *
     */
    public function testPatchBrand()
    {
    }

    /**
     * Test case for preloadBrandImage
     *
     * Загрузка картинки для бренда.
     *
     */
    public function testPreloadBrandImage()
    {
    }

    /**
     * Test case for replaceBrand
     *
     * Запрос на обновление бренда.
     *
     */
    public function testReplaceBrand()
    {
    }

    /**
     * Test case for searchBrands
     *
     * Поиск брендов, удовлетворяющих фильтру.
     *
     */
    public function testSearchBrands()
    {
    }

    /**
     * Test case for uploadBrandImage
     *
     * Загрузка картинки для бренда.
     *
     */
    public function testUploadBrandImage()
    {
    }
}
